'use client';
import { Swiper, SwiperSlide } from "swiper/react";
import { Autoplay, Navigation, Pagination } from "swiper/modules";
import "swiper/css";
import 'swiper/css/autoplay';
import 'swiper/css/navigation';
import 'swiper/css/pagination';
import MdiStarOutline from '@/components/icons/MdiStarOutline';
import style from './WhatYourNeighborsAreSaying.module.css';

export default function WhatYourNeighborsAreSaying() {
	return <>
		<section className="max-w-[1170px] mx-auto mt-[100px]">
			<h1 className="text-slate-900 text-2xl sm:text-5xl font-bold text-center">What your neighbors are saying</h1>
			<Swiper
				modules={[Autoplay, Navigation, Pagination]}
				autoplay={{
					delay: 2500
				}}
				navigation={{
					prevEl: '.swiper-button-prev',
					nextEl: '.swiper-button-next'
				}}
				pagination
				loop
			>
				<SwiperSlide>
					<div className="max-w-[828px] mx-auto">
						<div className="w-[120px] h-[120px] sm:w-[190px] sm:h-[190px] bg-white rounded-full shadow flex items-center justify-center mx-auto my-[50px]">
							<img src='https://ik.imagekit.io/choreless/v2/icons/FigmaGoogle.png?tr=w-146' alt='icon' className='w-[146px]' />
						</div>
						<p className="text-center text-slate-900 text-2xl font-bold">Gazi M. 1</p>
						<p className="text-center text-neutral-500 text-2xl font-medium mt-2.5">Dhaka, Bangladesh</p>
						<div className="flex justify-center gap-x-1.5 mt-2.5">
							<div className="stroke-brand-orange fill-brand-orange stroke-2 w-6 h-6"><MdiStarOutline /></div>
							<div className="stroke-brand-orange fill-brand-orange stroke-2 w-6 h-6"><MdiStarOutline /></div>
							<div className="stroke-brand-orange fill-brand-orange stroke-2 w-6 h-6"><MdiStarOutline /></div>
							<div className="stroke-brand-orange fill-brand-orange stroke-2 w-6 h-6"><MdiStarOutline /></div>
							<div className="stroke-brand-orange fill-brand-orange stroke-2 w-6 h-6"><MdiStarOutline /></div>
						</div>
						<p className="text-center mt-[30px] mb-10 px-2">Choreless is the best laundry service I&apos;ve tried in downtown Seattle, it&apos;s a relief not to have to deal with my king size sheets and duvet covers that I set out on Thursday, they return on Friday clean and more importantly beautifully folded. This is important to me because their customer service is prompt and courteous. I&apos;m a fan. If you try them, you&apos;ll never go back.</p>
					</div>
				</SwiperSlide>
				<SwiperSlide>
					<div className="max-w-[828px] mx-auto">
						<div className="w-[120px] h-[120px] sm:w-[190px] sm:h-[190px] bg-white rounded-full shadow flex items-center justify-center mx-auto my-[50px]">
							<img src='https://ik.imagekit.io/choreless/v2/icons/FigmaGoogle.png?tr=w-146' alt='icon' className='w-[146px]' />
						</div>
						<p className="text-center text-slate-900 text-2xl font-bold">Gazi M. 2</p>
						<p className="text-center text-neutral-500 text-2xl font-medium mt-2.5">Dhaka, Bangladesh</p>
						<div className="flex justify-center gap-x-1.5 mt-2.5">
							<div className="stroke-brand-orange fill-brand-orange stroke-2 w-6 h-6"><MdiStarOutline /></div>
							<div className="stroke-brand-orange fill-brand-orange stroke-2 w-6 h-6"><MdiStarOutline /></div>
							<div className="stroke-brand-orange fill-brand-orange stroke-2 w-6 h-6"><MdiStarOutline /></div>
							<div className="stroke-brand-orange fill-brand-orange stroke-2 w-6 h-6"><MdiStarOutline /></div>
							<div className="stroke-brand-orange fill-brand-orange stroke-2 w-6 h-6"><MdiStarOutline /></div>
						</div>
						<p className="text-center mt-[30px] mb-10 px-2">Choreless is the best laundry service I&apos;ve tried in downtown Seattle, it&apos;s a relief not to have to deal with my king size sheets and duvet covers that I set out on Thursday, they return on Friday clean and more importantly beautifully folded. This is important to me because their customer service is prompt and courteous. I&apos;m a fan. If you try them, you&apos;ll never go back.</p>
					</div>
				</SwiperSlide>
				<div className="swiper-button-prev after:hidden"><img src='https://ik.imagekit.io/choreless/v2/icons/FigmaArrow.svg' alt='icon' loading='lazy' className="rotate-180" /></div>
				<div className="swiper-button-next after:hidden"><img src='https://ik.imagekit.io/choreless/v2/icons/FigmaArrow.svg' alt='icon' loading='lazy' /></div>
				<img src="https://ik.imagekit.io/choreless/v2/icons/FigmaFacebook2.svg" alt="icon" loading='lazy' className={`absolute ${style.animateFacebook}`} />
				<div className={`absolute ${style.animateInstagram}`}>
					<div className="w-[70px] h-[70px] bg-white rounded-full shadow-[0px_0px_34px_5px_rgba(0,_0,_0,_0.10)] flex items-center justify-center">
						<img src="https://ik.imagekit.io/choreless/v2/icons/FigmaInstagram.png" alt="icon" loading='lazy' className="w-[39px] h-[39px]" />
					</div>
				</div>
				<img src="https://ik.imagekit.io/choreless/v2/icons/FigmaNextdoor2.svg" alt="icon" loading='lazy' className={`absolute ${style.animateNextdoor}`} />
			</Swiper>
		</section>
	</>
}
